ST_InitTopoGeo
Prev | 10.5. Topology Constructors | Next

## Name

ST_InitTopoGeo — Creates a new topology schema and registers this new schema in the topology.topology table and details summary of process.

## Synopsis

`text ST_InitTopoGeo(`varchar topology_schema_name`)`;

## Description

This is an SQL-MM equivalent of CreateTopology but lacks the spatial reference and tolerance options of CreateTopology and outputs a text description of creation instead of topology id.

Availability: 1.1

This method implements the SQL/MM specification. SQL-MM 3 Topo-Geo and Topo-Net 3: Routine Details: X.3.17

## Examples

    SELECT topology.ST_InitTopoGeo('topo_schema_to_create') AS topocreation;
                          astopocreation
    ------------------------------------------------------------
     Topology-Geometry 'topo_schema_to_create' (id:7) created.

## See Also

CreateTopology

Prev | Up | Next
CopyTopology | Home | ST_CreateTopoGeo